package tool

import (
	"fmt"
	"runtime"

	"github.com/juju/errors"
)

var Annotate = errors.Annotate

func TraceError(err error, skip int) error {
	if err == nil {
		return nil
	}
	_, file, line, ok := runtime.Caller(skip + 1)
	if !ok {
		return err
	}
	return fmt.Errorf("%s:%d: %s", file, line, err)
}
